package remote

import (
	"log"

	"git.cryptic.systems/fh-trier/go-flucky/pkg/remote"
	"github.com/spf13/cobra"
)

var registerRemoteCmd = &cobra.Command{
	Use:   "register",
	Short: "register on remote servers",
	Run: func(cmd *cobra.Command, args []string) {

		if err := remote.SendDevice(configDir); err != nil {
			log.Fatal(err)
		}
	},
}

func init() {
	remoteCmd.AddCommand(registerRemoteCmd)
}
